%{!?upstream_version: %global upstream_version %{commit}}
%global commit f3ada2529dfbd7202a94e9c151e916dca32d8f4a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-corosync
Version:        5.0.0
Release:        2%{?alphatag}%{?dist}
Summary:        This module is a set of manifests and types/providers for quickly setting up highly available clusters using Corosync
License:        Apache License, Version 2.0

URL:            https://github.com/puppet-community/puppet-corosync

Source0:        https://github.com/puppet-community/%{name}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=f3ada2529dfbd7202a94e9c151e916dca32d8f4a
Patch0001: 0001-modulesync-0.12.7.patch
Patch0002: 0002-Rubocop-Fix-Style-GuardClause.patch
Patch0003: 0003-modulesync-0.13.0.patch
Patch0004: 0004-Update-based-on-voxpupuli-modulesync_config-0.13.3.patch
Patch0005: 0005-Update-crm.rb.patch
Patch0006: 0006-Support-configuring-netmtu.patch
Patch0007: 0007-rubocop-fix-RSpec-ImplicitExpect.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
This module is a set of manifests and types/providers for quickly setting up highly available clusters using Corosync

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/corosync/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/corosync/



%files
%{_datadir}/openstack-puppet/modules/corosync/


%changelog
* Tue Jan 23 2018 Steve Linabery <slinaber@redhat.com> 5.0.0-2.d308160git
- rubocop: fix RSpec/ImplicitExpect
- Support configuring netmtu
- Update crm.rb
- Update based on voxpupuli/modulesync_config 0.13.3
- modulesync 0.13.0
- Rubocop: Fix Style/GuardClause
- modulesync 0.12.7

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> - 5.0.0-1.f3ada25.git
- Newton update 5.0.0 (f3ada2529dfbd7202a94e9c151e916dca32d8f4a)


